List logs for a attempt
GET
/v1/training-jobs/{trainingJobId}/attempts/{attemptId}/logscurl -X GET 'https://api.embodiflow.io/v1/training-jobs/{trainingJobId}/attempts/{attemptId}/logs' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- trainingJobIdstringrequired
- attemptIdstringrequired
Responses
Success
- dataobjectrequired
- textstringrequired
- sourcestringrequiredAllowed valueskubernetesartifactunavailable
- unavailableReasonstring | null
- truncatedone ofrequired
- containerstring | null
- fetchedAtstringrequired
- lineStartnumber
- lineEndnumber
- nextLineCursornumber | null
- prevLineCursornumber | null
- hasMoreBeforeone of
- hasMoreAfterone of
- totalLinesnumber
Response example
{
"data": {
"text": "string",
"source": "kubernetes",
"unavailableReason": "string",
"truncated": false,
"container": "string",
"fetchedAt": "string",
"lineStart": 0,
"lineEnd": 0,
"nextLineCursor": 0,
"prevLineCursor": 0,
"hasMoreBefore": false,
"hasMoreAfter": false,
"totalLines": 0
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1